﻿
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration
Partial Class VB
    Inherits System.Web.UI.Page

    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Me.IsPostBack Then
            Me.BindGrid()
        End If
    End Sub

    Private Sub BindGrid()
        Dim dt As New DataTable()
        Dim query As String = "SELECT Name, Country FROM Customers"
        Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
        Using con As New SqlConnection(constr)
            Using cmd As New SqlCommand(query)
                cmd.Connection = con
                Using sda As New SqlDataAdapter(cmd)
                    sda.SelectCommand = cmd
                    sda.Fill(dt)
                End Using
            End Using
        End Using

        If dt.Rows.Count = 0 Then
            'If no records then add a dummy row.
            dt.Rows.Add()
        End If

        gvCustomers.DataSource = dt
        gvCustomers.DataBind()
    End Sub

    Protected Sub Submit(sender As Object, e As EventArgs)
        If Not String.IsNullOrEmpty(Request.Form("name")) AndAlso Not String.IsNullOrEmpty(Request.Form("country")) Then
            'Fetch the Hidden Field values from the Request.Form collection.
            Dim names As String() = Request.Form("name").Split(",")
            Dim countries As String() = Request.Form("country").Split(",")

            'Loop through the values and insert into database table.
            For i As Integer = 0 To names.Length - 1
                Dim constr As String = ConfigurationManager.ConnectionStrings("constr").ConnectionString
                Using con As New SqlConnection(constr)
                    Using cmd As New SqlCommand("INSERT INTO Customers VALUES(@Name, @Country)")
                        cmd.Parameters.AddWithValue("@Name", names(i))
                        cmd.Parameters.AddWithValue("@Country", countries(i))
                        cmd.Connection = con
                        con.Open()
                        cmd.ExecuteNonQuery()
                        con.Close()
                    End Using
                End Using
            Next

            'Refresh the page to load GridView with records from database table.
            Response.Redirect(Request.Url.AbsoluteUri)
        End If
    End Sub
End Class


